From d1c03ced34502125fa49bceb0a284d6a6d6f5789 Mon Sep 17 00:00:00 2001
From: Chizi123 <joelgrun@gmail.com>
Date: Fri, 23 Aug 2019 01:27:46 +0000
Subject: [PATCH] removing old packages from remote

---
 build.sh |   62 +++++++++++++++++++-----------
 1 files changed, 39 insertions(+), 23 deletions(-)

diff --git a/build.sh b/build.sh
index fee8d1f..8c1b213 100755
--- a/build.sh
+++ b/build.sh
@@ -2,6 +2,10 @@
 
 #Number of old packages to store, should be at least 1
 NUM_BACK=5
+#remote details
+RUSER=joelgrun
+RLOC=35.225.177.191
+RPATH=/var/www/joelg.cf/html/
 
 function newest_matching_file
 {
@@ -78,9 +82,9 @@
 cd $(dirname "$(realpath $0)")
 
 #Remove old packages
-git rm -r x86_64/*
-rm -r x86_64
-mkdir x86_64
+#git rm -r x86_64/*
+#rm -r x86_64
+#mkdir x86_64
 
 #dependencies
 cd dependencies
@@ -92,17 +96,22 @@
 	fi
 	cd $d
 	#update package to latest from AUR
-	git pull
+	git pull -f
 	makepkg -si --noconfirm
-	latest=$(newest_matching_file '*.pkg.tar.xz')
-	while [ $NUM_BACK \< $(find . -name "*.pkg.tar.xz" | wc -l) ]
-	do
-		oldest=$(oldest_matching_file '*.pkg.tar.xz')
-		rm $oldest
-	done
-	cd ..
-	ln $d/$latest ../x86_64/$latest
-	repo-add ../Chizi123.db.tar.xz ../x86_64/$latest
+	if [ $? = 0 ]; then
+		latest=$(newest_matching_file '*.pkg.tar.xz')
+		while [ $NUM_BACK \< $(find . -name "*.pkg.tar.xz" | wc -l) ]
+		do
+			oldest=$(oldest_matching_file '*.pkg.tar.xz')
+			rm $oldest
+		done
+		cd ..
+		rm ../x86_64/"$d"*".pkg.tar.xz"
+		ln $d/$latest ../x86_64/$latest
+	else
+		cd ..
+	fi
+	#	repo-add ../Chizi123.db.tar.xz ../x86_64/$latest
 done
 cd ..
 
@@ -115,21 +124,28 @@
 	fi
 	cd $d
 	#update package to latest from AUR
-	git pull
+	git pull -f
 	makepkg -s --noconfirm
-	latest=$(newest_matching_file '*.pkg.tar.xz')
-	while [ $NUM_BACK \< $(find . -name "*.pkg.tar.xz" | wc -l) ]
-	do
-		oldest=$(oldest_matching_file '*.pkg.tar.xz')
-		rm $oldest
-	done
-	cd ..
-	ln $d/$latest x86_64/$latest
-	repo-add ./Chizi123.db.tar.xz x86_64/$latest
+	if [ $? = 0 ]; then
+		latest=$(newest_matching_file '*.pkg.tar.xz')
+		while [ $NUM_BACK \< $(find . -name "*.pkg.tar.xz" | wc -l) ]
+		do
+			oldest=$(oldest_matching_file '*.pkg.tar.xz')
+			rm $oldest
+		done
+		cd ..
+		rm x86_64/"$d"*".pkg.tar.xz"
+		ln $d/$latest x86_64/$latest
+	else
+		cd ..
+	fi
+	#	repo-add ./Chizi123.db.tar.xz x86_64/$latest
 done
 
+repo-add Chizi123.db.tar.xz x86_64/*
 ln Chizi123.db.tar.xz x86_64/Chizi123.db
 ln Chizi123.files.tar.xz x86_64/Chizi123.files
 git add x86_64
 git commit -m "'$(date +%d/%m/%y-%H:%M)'"
 git push
+rsync -ah --delete x86_64 $RUSER@$RLOC:$RPATH

--
Gitblit v1.9.3